#ifndef __TQUEUE_H_
#define __TQUEUE_H_

#include "default.h"

typedef struct {
   char *time;
   char *size;
   char *id;
   char *sender;
   bool frozen;
   TStringCollection *Rcpts;
} EMAIL;

class TQueue : public TDialog {
   private:
      bool *m_pbExistenceFlag;
      TScrollBar    *m_vScrollBar;
      TScrollBar    *m_hScrollBar;
      TListBox      *m_ListBox;
      TMenuBox      *m_MenuBox;
      TNSCollection *m_MailList;

      virtual void handleEvent(TEvent& event);
      int PopupBox(TEvent& event);
      void RefreshQueueList(void);
      bool GetQueueList(const char *sCommand);
      bool EximSimpleCommand(const char *sCmd, const char *sExtra, const char *sTitle, int id);
      bool EximMarkRecipients(const char *sCmd, const char *sExtra, const char *sTitle, int id);
      bool CommandWithInput(const char *sCmd, const char *sExtra, const char *sTitle, int id);
      bool ExecuteCommand(const char *sCmd, const char *sTitle);

   public:
      TQueue(bool *pbFlag, const TRect& rBounds, const char *sTitle);
      ~TQueue();
};

#endif

