#ifndef __DEFAULT_H_
#define __DEFAULT_H_

#include "config.h"

#define TVEXIMON_VERSION "0.1"

#ifdef ENGLISH
#include "lang_english.h"
#endif

#ifdef GERMAN
#include "lang_german.h"
#endif

#ifdef PORTUGUESE
#include "lang_portuguese_br.h"
#endif

#define Uses_stdio
#define Uses_stdarg
#define Uses_TApplication
#define Uses_TCheckBoxes
#define Uses_TCollection
#define Uses_TButton
#define Uses_TDeskTop
#define Uses_TDialog
#define Uses_TDrawBuffer
#define Uses_TEvent
#define Uses_TInputLine
#define Uses_TKeys
#define Uses_TListBox
#define Uses_TMenu
#define Uses_TMenuBar
#define Uses_TMenuBox
#define Uses_TMenuItem
#define Uses_TMenuView
#define Uses_TRect
#define Uses_TScrollBar
#define Uses_TScroller
#define Uses_TSItem
#define Uses_TStaticText
#define Uses_TStatusLine
#define Uses_TStatusItem
#define Uses_TStatusDef
#define Uses_TStringCollection
#define Uses_TSubMenu
#define Uses_TWindow
#define Uses_TScreen
#define Uses_TLabel
#define Uses_TPalette
#define Uses_TColorGroup
#define Uses_TColorItem
#define Uses_TColorDialog
#define Uses_TColorCommands
#define Uses_TColorSelector

#include <tv.h>
#include <stdarg.h>
#include <string.h>

/* ------------- ABOUT DIALOG ------------- */
#define WinAbout_Text     "\n" \
                          "\003TVEximon " TVEXIMON_VERSION " (" LANGUAGE ")\n\n\n" \
                          "Copyright (C) 2003 by Bjorn Martins Paz <bmp@narpax.com.br>\n" \
                          "Copyright (C) 2003 by Davi Einstein Melges Arnaut <dema@narpax.com.br>\n\n\n" \
                          "Visit us at: http://www.narpax.com.br\n\n\n" \
                          "This program is free software; you can redistribute it and/or modify\n" \
                          "it under the terms of the GNU General Public License as published by\n" \
                          "the Free Software Foundation; either version 2 of the License, or\n" \
                          "(at your option) any later version." \

/* TAB string (used to display TAB characters inside e-mails) */
const char TAB_STRING[] = "     ";

const char QueueFlagFrozen[] = "[F]";
const char QueueFlagNone[]   = "[-]";

/* Exim email flags */
const char MailFlagFrozen[] = "*** frozen ***";

/* Exim recipient flags */
const char RcptFlagDelivered[] = "D";

/* Exim paths */
extern char *ShellPathMainlog;
extern char *ShellBinaryPath;
extern char *ShellCmdBinary;
extern char *ShellCmdSummary;
extern char *ShellCmdStats;
extern char *ShellExiwhatPath;
extern char *ShellCmdCycleLogs;
extern char *ShellCmdCheckAccess;
extern char *ShellCmdExigrep;
extern char *ShellCmdExinext;

/* Exim console options */
const char ShellCmdListQueue[]  = "-bp";
const char ShellCmdQueueCount[] = "-bpc";
const char ShellCmdDeliver[]    = "-v -M";
const char ShellCmdFreeze[]     = "-v -Mf";
const char ShellCmdThaw[]       = "-v -Mt";
const char ShellCmdMarkAll[]    = "-v -Mmad";
const char ShellCmdReturn[]     = "-v -Mg";
const char ShellCmdRemove[]     = "-v -Mrm";
const char ShellCmdHeader[]     = "-v -Mvh";
const char ShellCmdBody[]       = "-v -Mvb";
const char ShellCmdAddRcpt[]    = "-v -Mar";
const char ShellCmdMark[]       = "-v -Mmd";
const char ShellCmdAddSender[]  = "-v -Mes";
const char ShellCmdLogSpool[]   = "-v -Mvl";

/* Main Menu commands */
const int cmMenuGraphs      = 200;
const int cmMenuQueue       = 201;
const int cmMenuMainLog     = 202;
const int cmMenuSummary     = 203;
const int cmMenuShell       = 204;
const int cmMenuColor       = 205;
const int cmMenuAbout       = 206;
const int cmMenuStats       = 218;
const int cmMenuExiwhat     = 219;
const int cmMenuCycleLogs   = 220;
const int cmMenuCheckAccess = 221;
const int cmMenuExigrep     = 222;
const int cmMenuExinext     = 223;
const int cmMenuCmd         = 225;

/* Queue Menu Box Commands */
const int cmMBDeliver   = 207; /* Send message */
const int cmMBFreeze    = 208; /* Freeze message */
const int cmMBThaw      = 209; /* Thaw a freezed message */
const int cmMBMarkAll   = 210; /* Mark all addresses as being delivered */
const int cmMBReturn    = 211; /* Return message to sender */
const int cmMBCancel    = 212; /* Cancel message */
const int cmMBHeader    = 213; /* Show messages header */
const int cmMBBody      = 214; /* Show messages body */
const int cmMBAddRcpt   = 215; /* Add a recipient to message */
const int cmMBMark      = 216; /* Mark an address as being delivered */
const int cmMBAddSender = 217; /* Add a sender to message */
const int cmMBLogSpool  = 224; /* Show message log spool */

/* Color Commands */
const int cmColorsChanged = 100;

#endif

